### MATLAB_SBML_STRUCTURE_FUNCTIONS\CONSTRAINT

The functions allow users to create and work with the SBML Constraint structure.

Function are:

#### Constraint = Constraint_create(level(optional), version(optional) )

Takes

1. level, an integer representing an SBML level (optional)
2. version, an integer representing an SBML version (optional)

Returns

1. a MATLAB_SBML Constraint structure of the appropriate level and version

NOTE: the optional level and version preserve backwards compatibility a missing version argument will default to L1V2; L2V4 or L3V1 missing both arguments will default to L3V1

#### math = Constraint_getMath(SBMLConstraint)

Takes

1. SBMLConstraint, an SBML Constraint structure

Returns

1. the value of the math attribute

#### message = Constraint_getMessage(SBMLConstraint)

Takes

1. SBMLConstraint, an SBML Constraint structure

Returns

1. the value of the message attribute

#### metaid = Constraint_getMetaid(SBMLConstraint)

Takes

1. SBMLConstraint, an SBML Constraint structure

Returns

1. the value of the metaid attribute

#### sboTerm = Constraint_getSBOTerm(SBMLConstraint)

Takes

1. SBMLConstraint, an SBML Constraint structure

Returns

1. the value of the sboTerm attribute

#### value = Constraint_isSetMath(SBMLConstraint)

Takes

1. SBMLConstraint, an SBML Constraint structure

Returns

1. value =
   - 1 if the math attribute is set
   - 0 otherwise

#### value = Constraint_isSetMessage(SBMLConstraint)

Takes

1. SBMLConstraint, an SBML Constraint structure

Returns

1. value =
   - 1 if the message attribute is set
   - 0 otherwise

#### value = Constraint_isSetMetaid(SBMLConstraint)

Takes

1. SBMLConstraint, an SBML Constraint structure

Returns

1. value =
   - 1 if the metaid attribute is set
   - 0 otherwise

#### value = Constraint_isSetSBOTerm(SBMLConstraint)

Takes

1. SBMLConstraint, an SBML Constraint structure

Returns

1. value =
   - 1 if the sboTerm attribute is set
   - 0 otherwise

#### SBMLConstraint = Constraint_setMath(SBMLConstraint, math)

Takes

1. SBMLConstraint, an SBML Constraint structure
2. math; string representing the math expression math to be set

Returns

1. the SBML Constraint structure with the new value for the math attribute

#### SBMLConstraint = Constraint_setMessage(SBMLConstraint, message)

Takes

1. SBMLConstraint, an SBML Constraint structure
2. message; a string representing the message to be set

Returns

1. the SBML Constraint structure with the new value for the message attribute

#### SBMLConstraint = Constraint_setMetaid(SBMLConstraint, metaid)

Takes

1. SBMLConstraint, an SBML Constraint structure
2. metaid; a string representing the metaid to be set

Returns

1. the SBML Constraint structure with the new value for the metaid attribute

#### SBMLConstraint = Constraint_setSBOTerm(SBMLConstraint, sboTerm)

Takes

1. SBMLConstraint, an SBML Constraint structure
2. sboTerm, an integer representing the sboTerm to be set

Returns

1. the SBML Constraint structure with the new value for the sboTerm attribute

#### SBMLConstraint = Constraint_unsetMath(SBMLConstraint)

Takes

1. SBMLConstraint, an SBML Constraint structure

Returns

1. the SBML Constraint structure with the math attribute unset

#### SBMLConstraint = Constraint_unsetMessage(SBMLConstraint)

Takes

1. SBMLConstraint, an SBML Constraint structure

Returns

1. the SBML Constraint structure with the message attribute unset

#### SBMLConstraint = Constraint_unsetMetaid(SBMLConstraint)

Takes

1. SBMLConstraint, an SBML Constraint structure

Returns

1. the SBML Constraint structure with the metaid attribute unset

#### SBMLConstraint = Constraint_unsetSBOTerm(SBMLConstraint)

Takes

1. SBMLConstraint, an SBML Constraint structure

Returns

1. the SBML Constraint structure with the sboTerm attribute unset